# Generated by Django 3.2rc1 on 2021-03-21 20:49

from django.db import migrations, models
import music_publisher.validators
from django.conf import settings


def persist_recording_ids(apps, schema_editor):
    Work = apps.get_model('music_publisher', 'Work')
    qs = Work.objects.filter(_work_id__isnull=True)
    qs = qs.prefetch_related('recordings')
    for work in qs:
        for rec in work.recordings.all():
            rec._recording_id = '{}{:06}R'.format(
                settings.PUBLISHER_CODE, rec.id)


class Migration(migrations.Migration):

    dependencies = [
        ('music_publisher', '0005_auto_20210301_2222'),
    ]

    operations = [
        migrations.AddField(
            model_name='recording',
            name='_recording_id',
            field=models.CharField(blank=True, editable=False, max_length=14, null=True, unique=True, validators=[music_publisher.validators.CWRFieldValidator('name')], verbose_name='Recording ID'),
        ),
        migrations.RunPython(persist_recording_ids, migrations.RunPython.noop),
    ]
